<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

use Teknisa\PED\Controllers\TeknisaCrud;
use \Doctrine\ORM\EntityManager;
use Teknisa\PED\Modules\Pedidos\Services\ger96700TipoFiscalizacaoProdutoService;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DTO;

class ger96700TipoFiscalizacaoProdutoController extends TeknisaCrud {
    
    protected $service;
    
    public function __construct($crudService, ParameterBag $parameterBag, $environment, $entityManager, ger96700TipoFiscalizacaoProdutoService $service ) {
        parent::__construct($crudService, $parameterBag);
        $this->environment = $environment;
        $this->entityManager = $entityManager;
        $this->service = $service;
    }

    public function deleteTpFiscalizacao(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->service->deleteTpFiscalizacao($row);
    }
    
    public function cadastroAutomatico(DTO\Request\DataSet $request, DTO\Response $response) {
        $dataSet = $request->getDataSet();
        $rows = $dataSet->getRows();
        $this->service->cadastroAutomatico($rows);
    }
    
    public function buscaClasfiscal(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->service->buscaClasfiscal($row, $response);
    }
    
    public function newCode(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->service->newCode($row, $response);
    }
}